#include<iostream>
#include<cmath>
using namespace std;

int main()
{
        int a;
        cin >> a;

        int k, q;
        int br;


        for(int i=9 ; i>=0 ; --i)
        {
                if(a>=5*pow(10,i))
                {
                        k=5;
                        q=i;
                        break;
                }
                if(a>=2*pow(10,i))
                {
                        k=2;
                        q=i;
                        break;
                }
                if(a>=1*pow(10,i))
                {
                        k=1;
                        q=i;
                        break;
                }
        }

        while(a!=0)
        {
                a-=k*pow(10,q);
                for(int i=18 ; i>=0 ; --i)
                {
                        if(a>=5*pow(10,i))
                        {
                                k=5;
                                q=i;
                                break;
                        }
                        if(a>=2*pow(10,i))
                        {
                                k=2;
                                q=i;
                                break;
                        }
                        if(a>=1*pow(10,i))
                        {
                                k=1;
                                q=i;
                                break;
                        }
                }
                ++br;
        }
        cout << br;
}